Bug 1236315 - beets fail to find musicbrainzngs
Summary: beets fail to find musicbrainzngs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: beets
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-27 16:54 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-10-23 17:26 UTC (History)
1 user (show)

Fixed In Version: beets-1.3.13-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-23 17:26:33 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2015-06-27 16:54:49 UTC
Description of problem:
I installed beets. Running beet fails:

$ beet 
Traceback (most recent call last):
  File "/usr/bin/beet", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3074, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3060, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3087, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 645, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 946, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 833, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'musicbrainzngs>=0.4' distribution was not found and is required by beets

Version-Release number of selected component (if applicable):
beets-1.3.13-1.fc22.noarch

Comment 1 Fedora Update System 2015-07-02 09:35:24 UTC
beets-1.3.13-2.fc22, python-jellyfish-0.5.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-10351/beets-1.3.13-2.fc22,python-jellyfish-0.5.0-2.fc22

Comment 2 Michele Baldessari 2015-07-02 09:37:14 UTC
Thanks for the report. It's a bit silly that beets checks for musicbrainzng
on startup because it does not actually use it (only some plugins use it
and the dep there is correct). In any case I have added the dep now.

cheers,
Michele

Comment 3 Fedora Update System 2015-07-03 18:52:07 UTC
Package beets-1.3.13-2.fc22, python-jellyfish-0.5.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beets-1.3.13-2.fc22 python-jellyfish-0.5.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10351/beets-1.3.13-2.fc22,python-jellyfish-0.5.0-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-10-23 17:26:29 UTC
beets-1.3.13-2.fc22, python-jellyfish-0.5.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.